import request from '@/utils/request';

//分页查询专项文档管理项目管理
export function projectPage(queryParams:any) {
  return request({
    url: '/specialDocument/project/page',
    method: 'get',
    params: queryParams
  });
}
//新增专项文档管理项目管理
export function addSdproject(queryParams:any) {
    return request({
      url: '/specialDocument/project/addSdproject',
      method: 'post',
      data: queryParams
    });
  }
  //修改专项文档管理项目管理
  export function updateSdproject(queryParams:any) {
    return request({
      url: '/specialDocument/project/updateSdproject',
      method: 'post',
      data: queryParams
    });
  }
  //根据ID删除专项文档管理项目管理
  export function deleteSdprojectById(queryParams:any) {
    return request({
      url: '/specialDocument/project/deleteSdprojectById',
      method: 'post',
      params: queryParams
    });
  }
  //批量删除专项文档管理项目管理
  export function deleteSdprojectByIds(queryParams:any) {
    return request({
      url: '/specialDocument/project/deleteSdprojectByIds',
      method: 'post',
      params: queryParams
    });
  }